<%--
  Copyright  2005 Obeo.
  All rights reserved.   This program and the accompanying materials
  are made available under the terms of the GNU Public License v2.0 or any later version
  which accompanies this distribution, and is available at
  http://www.gnu.org/licenses/gpl.txt
--%>
<%
metamodel http://www.obeo.fr/acceleo/uml14

import org.acceleo.modules.uml14.services.Uml14Services
%>

<%-- 
This template generate web.xml configuration file
--%>

<%script type="Model" name="generate" file="web.xml"%>
<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- Generated with Acceleo (http://www.obeo.fr)-->

<web-app 
	id="AcceleoSample" 
	version="2.4" 
	xmlns="http://java.sun.com/xml/ns/j2ee" 
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">

	<display-name>AcceleoSample</display-name>
	
	<!-- Standard Servlet Configuration (with debugging) -->
	<%for (eAllContents().filter("Class")){%><%if (hasStereotype("Screen")){%>
	<servlet>
		<servlet-name><%name%></servlet-name>
		<servlet-class>org.acceleo.sample.ihm.<%name%>Servlet</servlet-class>
	</servlet>
	<%}%><%}%>

	<!-- Standard Servlet Mapping -->
	<%for (eAllContents().filter("Class")){%><%if (hasStereotype("Screen")){%>
	<servlet-mapping>
		<servlet-name><%name%></servlet-name>
		<url-pattern>/<%name.toLowerCase()%>/*</url-pattern>
	</servlet-mapping>
	<%}%><%}%>
	
	<welcome-file-list>
		<welcome-file>index.html</welcome-file>
		<welcome-file>index.jsp</welcome-file>
	</welcome-file-list>

</web-app>
