[%--
  Copyright � 2005 Obeo.
  All rights reserved.   This program and the accompanying materials
  are made available under the terms of the GNU Public License v2.0 or any later version
  which accompanies this distribution, and is available at
  http://www.gnu.org/licenses/gpl.txt
--%]
[%
metamodel http://www.eclipse.org/uml2/2.0.0/UML

import org.acceleo.modules.uml2.services.Uml2Services
import org.acceleo.modules.uml2.services.StringServices
%]

[%script type="Class" name="fullFilePath"%]
[%if (hasStereotype("Screen")){%]
/[%package.name%]/[%name%].jsp
[%}%]

[%script type="Class" name="generate" file="[%fullFilePath%]"%]
<html>
	<head>
		<title>[%ownedComment.body%]</title>
	</head>
	<body>

	<form action="<%=request.getContextPath()%>/[%name.toLowerCase()%]/" method="POST">
	
		<input type="hidden" name="event" value=""/>
		
		<table>
		[%for (attribute){%]
			[%if (association == null) {%]
			<tr>
				<td>[%name%][%if (ownedComment.body.length() > 0){%]([%ownedComment.body%])[%}%] :</td>
				<td><input type="text" name="[%name.firstLower()%]"/></td>
			</tr>
			[%}%]
		[%}%]
		[%for (ownedOperation){%]
			<tr>
				<td>
					<input type="submit" name="[%name.firstLower()%]" value="[%name.firstLower()%]" onclick="bCancel=false;[%class.name%]Form.event.value = '[%name.firstLower()%]';"/>
				</td>
			</tr>
		[%}%]
		</table>
		
		<p> Direct links to other screens :</p>
		<ul>
		[%for (attribute){%]
			[%if (association != null) {%]	
			<li><a href="<%=request.getContextPath()%>/[%type.name.toLowerCase()%]/"><i>[%name%]</i> : [%type.ownedComment.body%]</a></li>
			[%}%]
		[%}%]
		</ul>
	
	</form>

</body>